version: '3'

services:

  # postgres:
  #   container_name: postgres
  #   image: postgres
  #   ports:
  #     - 5432:5432
  #   environment:
  #     - POSTGRES_PASSWORD=docker
  #   volumes:
  #     - '/home/jonathan/Documentos/VolumesDocker/postgres/api-vendas/db:/var/lib/postgresql/data'

  # redis:
  #   container_name: redis
  #   image: redis:alpine
  #   networks:
  #     - api-vendas
  #   ports:
  #    - 6379:6379

  # redisClient:
  #   container_name: RedisClient
  #   image: redislabs/redisinsight:latest
  #   ports:
  #     - 8001:8001
  #   networks:
  #     - api-vendas
  #   # volumes:
  #   #   - './redis/redisinsight:/db'
  #   depends_on:
  #     - redis

  api:
    container_name: api-vendas
    build:
      context: .
    networks:
      - api-vendas
    tty: true
    ports:
      - 3333:3333
    # volumes:
    #   - ./node:/usr/src/app
    # depends_on:
    #   - redisClient

networks:
  api-vendas:
    driver: bridge
